init.amoeba

## Class DefaultAMOEBAFactory

- java.lang.Object
- - init.amoeba.DefaultAMOEBAFactory

    public class DefaultAMOEBAFactory
    extends java.lang.Object

A factory for creating DefaultAMOEBA objects.

### Constructor Summary

Constructors
Constructor and Description
`DefaultAMOEBAFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AMOEBA` `createAMOEBA(boolean viewer, java.lang.String pathToSourceXML, java.lang.String pathToAgentsXML)` Creates a new DefaultAMOEBA object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAMOEBAFactory

    public DefaultAMOEBAFactory()

### Method Detail

#### createAMOEBA

    public AMOEBA createAMOEBA(boolean viewer,
                               java.lang.String pathToSourceXML,
                               java.lang.String pathToAgentsXML)

Creates a new DefaultAMOEBA object.

Parameters:
  `viewer` - the viewer
  `pathToSourceXML` - the path to source XML
  `pathToAgentsXML` - the path to agents XML
Returns:
  the amoeba